<% /*
     $Revision$
     $Id$

    File:           icons.inc
    Description:    Conversion from oldstyle or pseudo icons to genuine fontawesome icons.
    Context:
    Note:
*/
 %>
<%

var placeholder_icons = {
    // Variable icons #63749
    "fa-fclt-save"          : "fa-check",
    "fa-fclt-edit"          : "fa-pen",
    "fa-fclt-cancel"        : "fa-undo",
    "fa-fclt-refresh"       : "fa-sync",
    "fa-fclt-flag0"         : "fa-square fal",
    "fa-fclt-flag"          : "fa-square fas",
    "fa-fclt-spinner"       : "fa-spinner-third fa-spin"
}

var ICONS = {

    placeholder:
        function (icon)
        {   /* Voor mobile hebben we er wat bij in gehackt zodat we daar binnen de jQuery-ui iconen opmaak ook FA-iconen kunnen gebruiken,
                aldus de 'fa ' prefix in het data-icon attribuut */
            if (icon in placeholder_icons)
                return placeholder_icons[icon];
            else
                return icon;
        }

}

%>